Package org.flowable.task.api.history

# Interface HistoricTaskLogEntryQuery

All Superinterfaces:
  `Query<HistoricTaskLogEntryQuery,HistoricTaskLogEntry>`

public interface HistoricTaskLogEntryQuery extends Query<HistoricTaskLogEntryQuery,HistoricTaskLogEntry>
Allows programmatic querying of `HistoricTaskLogEntry`s;

Author:
  martin.grofcik

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HistoricTaskLogEntryQuery`
  `caseDefinitionId(String caseDefinitionId)`
  `HistoricTaskLogEntryQuery`
  `caseInstanceId(String caseInstanceId)`
  `HistoricTaskLogEntryQuery`
  `from(Date fromDate)`
  `HistoricTaskLogEntryQuery`
  `fromLogNumber(long fromLogNumber)`
  `HistoricTaskLogEntryQuery`
  `orderByLogNumber()`
  `HistoricTaskLogEntryQuery`
  `orderByTimeStamp()`
  `HistoricTaskLogEntryQuery`
  `processDefinitionId(String processDefinitionId)`
  `HistoricTaskLogEntryQuery`
  `processInstanceId(String processInstanceId)`
  `HistoricTaskLogEntryQuery`
  `scopeDefinitionId(String scopeDefinitionId)`
  `HistoricTaskLogEntryQuery`
  `scopeId(String scopeId)`
  `HistoricTaskLogEntryQuery`
  `scopeType(String scopeType)`
  `HistoricTaskLogEntryQuery`
  `subScopeId(String subScopeId)`
  `HistoricTaskLogEntryQuery`
  `taskId(String taskId)`
  `HistoricTaskLogEntryQuery`
  `tenantId(String tenantId)`
  `HistoricTaskLogEntryQuery`
  `to(Date toDate)`
  `HistoricTaskLogEntryQuery`
  `toLogNumber(long toLogNumber)`
  `HistoricTaskLogEntryQuery`
  `type(String type)`
  `HistoricTaskLogEntryQuery`
  `userId(String userId)`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### taskId

    HistoricTaskLogEntryQuery taskId(String taskId)

  - ### type

    HistoricTaskLogEntryQuery type(String type)

  - ### userId

    HistoricTaskLogEntryQuery userId(String userId)

  - ### processInstanceId

    HistoricTaskLogEntryQuery processInstanceId(String processInstanceId)

  - ### processDefinitionId

    HistoricTaskLogEntryQuery processDefinitionId(String processDefinitionId)

  - ### scopeId

    HistoricTaskLogEntryQuery scopeId(String scopeId)

  - ### scopeDefinitionId

    HistoricTaskLogEntryQuery scopeDefinitionId(String scopeDefinitionId)

  - ### caseInstanceId

    HistoricTaskLogEntryQuery caseInstanceId(String caseInstanceId)

  - ### caseDefinitionId

    HistoricTaskLogEntryQuery caseDefinitionId(String caseDefinitionId)

  - ### subScopeId

    HistoricTaskLogEntryQuery subScopeId(String subScopeId)

  - ### scopeType

    HistoricTaskLogEntryQuery scopeType(String scopeType)

  - ### from

    HistoricTaskLogEntryQuery from(Date fromDate)

  - ### to

    HistoricTaskLogEntryQuery to(Date toDate)

  - ### tenantId

    HistoricTaskLogEntryQuery tenantId(String tenantId)

  - ### fromLogNumber

    HistoricTaskLogEntryQuery fromLogNumber(long fromLogNumber)

  - ### toLogNumber

    HistoricTaskLogEntryQuery toLogNumber(long toLogNumber)

  - ### orderByLogNumber

    HistoricTaskLogEntryQuery orderByLogNumber()

  - ### orderByTimeStamp

    HistoricTaskLogEntryQuery orderByTimeStamp()